Update deployment user role
curl --request PATCH \
--url https://semgrep.dev/api/agent/deployments/{deploymentId}/users/{userId}/roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"userId": "<string>"
}
'import requests
url = "https://semgrep.dev/api/agent/deployments/{deploymentId}/users/{userId}/roles"
payload = {
"deploymentId": "<string>",
"userId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deploymentId: '<string>', userId: '<string>'})
};
fetch('https://semgrep.dev/api/agent/deployments/{deploymentId}/users/{userId}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Deployment
Update deployment user role
Change the organization role assigned to a user in the deployment.
PATCH
/
api
/
agent
/
deployments
/
{deploymentId}
/
users
/
{userId}
/
roles
Update deployment user role
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?
⌘I